;(define "common_set_wp"
;		{common
;			{unitset "inf|squad|mortar|degtyarev_stan|mg34_stan|m37|pak35|m3cannon|browning_stan^at_miners|at_rifle|bazookers|engineers"}
;			{commandPoints "stormtroopers=18;snipers=15;scouts=15;officer=10;infantry=48;cannon=45;mortar=35"}
;			{chargeFactors "*=1"}
;			{budgets
;				{squad   
;					{resource 
;						{start 		8}
;						{finish 	100}
;						{speed 		12}
;						{limitmin	10}
;						{limitmax	50}
;						{speedset 	"5 8 12 16 20"}
;					} 
;					{buttons "squad1 squad2 vh_cn vh_cn1 lt ht asu"} 
;					{growFactors "0/1;30/0.65;50/0.3;200/0.5"}
;				}
;			} 
;		}
;)

;(define "common_set_pu"
;		{common
;			{unitset "squad|mortar|degtyarev_stan|mg34_stan|browning_stan^at_miners"}
;			{commandPoints "stormtroopers=10"}
;			{chargeFactors "moto=1;*=0"}
;			{budgets
;				{squad 
;					{resource 
;						{start 		15}
;						{finish 	100}
;						{speed 		30}
;						{limitmin	10}
;						{limitmax	70}
;						{period		180}
;					} 
;					{buttons "squad1 squad2 vh_cn vh_cn1 lt ht asu"} 
;					{growFactors "0/1;80/0.7;200/0.5"}
;				}
;			} 
;		}
;)

(define "common_set_wu"
	{common
		{unitset "inf|squad|mortar|degtyarev_stan|mg34_stan|browning_stan|vickers_mgun|m37|pak35|m3cannon|qf2^at_miners|at_rifle|bazookers|engineers|tankmans"}
		{commandPoints "infantry=60;stormtroopers=24;sniper=15;scout=20;officer=15;cannon=45;mortar=45;degtyarev_stan=75;mg34_stan=75;browning_stan=75;vickers_mgun=75"}
		{chargeFactors "cannon=1.5;mortar=1.5;degtyarev_stan=1.5;mg34_stan=1.5;browning_stan=1.5;vickers_mgun=1.5;*=1"}
		{budgets
			{vehicle 
				{resource 
					{start 		100}
					{finish 	800}
					{speed 		0}
					{limitmin	100}
					{limitmax	800}
					{speedset 	"60 80 100 120 150"}
				} 
				{buttons "squad1 squad2 vh_cn vh_cn1 lt ht asu"}
			}

		} 
	}
)

(define "common_set_payback_infantry"
	{common
		{unitset "inf|squad|mortar|degtyarev_stan|mg34_stan|browning_stan|vickers_mgun|m37|pak35|m3cannon|qf2^at_miners|at_rifle|bazookers|engineers|tankmans"}
		{chargeFactors "*=1"}
		{commandPoints %cp}
		{budgets
			{vehicle
				{resource 
					{start 		%start}
					{finish 	%finish}
					{growTime	0.7}			; round time when money growing
					{restoreBegin 	%restoreBegin}		; points per sec
					{restoreEnd 	%restoreEnd}		; points per sec
				} 
				{buttons "squad1 squad2 auto vh_cn lt ht asu"}
			}

		} 
	}
)

{presets
	{"wu:without_update_low_inf"
		{gameMode "without_update"}
		{unitMode "infantry"}
;		{specMode "payback_60"}
		{apply "squads_expense"}
		("common_set_wu" cp_total(60))
	}
	{"wu:without_update_normal_inf"
		{gameMode "without_update"}
		{unitMode "infantry"}
;		{specMode "payback_80"}
		{apply "squads_expense"}
		("common_set_wu" cp_total(80))
		{ranked}
	}
	{"wu:without_update_high_inf"
		{gameMode "without_update"}
		{unitMode "infantry"}
;		{specMode "payback_100"}
		{apply "squads_expense"}
		("common_set_wu" cp_total(100))
	}
	{"wu:without_update_colossal_inf"
		{gameMode "without_update"}
		{unitMode "infantry"}
;		{specMode "payback_120"}
		{apply "squads_expense"}
		("common_set_wu" cp_total(120))
	}
	{"wu:without_update_absolute_inf"
		{gameMode "without_update"}
		{unitMode "infantry"}
;		{specMode "payback_140"}
		{apply "squads_expense"}
		("common_set_wu" cp_total(140))
	}
	{"p:payback_60_inf"	
		{gameMode "with_payback"}
		{unitMode "infantry"}
		{specMode "payback_60"}
		{apply "squads_expense"}
		("common_set_payback_infantry" restoreBegin(0.20) restoreEnd(0.28) start(20) finish(100) cp("*=60"))
	}
	{"p:payback_80_inf"	
		{gameMode "with_payback"}
		{unitMode "infantry"}
		{specMode "payback_80"}
		{apply "squads_expense"}
		("common_set_payback_infantry" restoreBegin(0.24) restoreEnd(0.32) start(24) finish(120) cp("*=80"))
	}	
	{"p:payback_100_inf"	
		{gameMode "with_payback"}
		{unitMode "infantry"}
		{specMode "payback_100"}
		{apply "squads_expense"}
		("common_set_payback_infantry" restoreBegin(0.24) restoreEnd(0.38) start(28) finish(140) cp("*=100"))
	}	
	{"p:payback_120_inf"	
		{gameMode "with_payback"}
		{unitMode "infantry"}
		{specMode "payback_120"}
		{apply "squads_expense"}
		("common_set_payback_infantry" restoreBegin(0.28) restoreEnd(0.46) start(32) finish(160) cp("*=120"))
	}
	{"p:payback_140_inf"	
		{gameMode "with_payback"}
		{unitMode "infantry"}
		{specMode "payback_140"}
		{apply "squads_expense"}
		("common_set_payback_infantry" restoreBegin(0.32) restoreEnd(0.5) start(36) finish(180) cp("*=140"))
	}
;	{"wp_infantry:without_payback_high"
;		{gameMode "without_payback"}
;		{unitMode "infantry"}
;		{specMode "high_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_wp")
;	}
;	{"wp_infantry:without_payback_normal"	
;		{gameMode "without_payback"}
;		{unitMode "infantry"}
;		{specMode "normal_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_wp")
;	}
;	{"wp_infantry:without_payback_low"	
;		{gameMode "without_payback"}
;		{unitMode "infantry"}
;		{specMode "low_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_wp")
;	}
;	{"pu_infantry:periodical_update_high"	
;		{gameMode "periodical_update"}
;		{unitMode "infantry"}
;		{specMode "high_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_pu")
;		{advanced}
;	}
;	{"pu_infantry:periodical_update_normal"	
;		{gameMode "periodical_update"}
;		{unitMode "infantry"}
;		{specMode "normal_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_pu")
;		{advanced}
;	}
;	{"pu_infantry:periodical_update_low"	
;		{gameMode "periodical_update"}
;		{unitMode "infantry"}
;		{specMode "low_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_pu")
;		{advanced}
;	}
;	{"wu_infantry:without_update_low"
;		{gameMode "without_update"}
;		{unitMode "infantry"}
;		{specMode "low_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_wu")
;		{advanced}
;	}	
;	{"wu_infantry:without_update_normal"
;		{gameMode "without_update"}
;		{unitMode "infantry"}
;		{specMode "normal_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_wu")
;		{advanced}
;	}	
;	{"wu_infantry:without_update_high"
;		{gameMode "without_update"}
;		{unitMode "infantry"}
;		{specMode "high_reinforcement"}
;		{apply "squads_expense"}
;		("common_set_wu")
;		{advanced}
;	}
}