; permanent update 
;(define "common_set_wp_vehicles"
;	{common
;		{unitset "^man|alter|inf"}
;;		{commandPoints "pz6b=9;elef_jagdt=8;nash_jagdp=7;hummel=4;sdkfz4=5;sfh18=4;is2=18;isu152=16;bm13=5;d1=8;m7=4;m26=18;tortez=80;m4a3c=5;m114=4;bl6=4;stormtroopers=10"}
;		{commandPoints "art=26;heavy_art=27;heavy_spa=55;long_range=25;infan_squad=48;stormtroopers=21"}
;		{chargeFactors "moto=1;use_charge=1;*=0"}
;		{budgets
;			{vehicle 
;				{resource 
;					{start 		%tick}
;					{finish 	200}
;					{speed 		16}
;					{limitmin	8}
;					{limitmax	32}
;					{speedset 	"12 14 16 18 20"}
;				} 
;				{buttons "squad1 squad2 vh_cn vh_cn1 lt ht asu"} 
;				{growFactors %grow}
;			}
;		} 
;	}
;)

; periodical update
;(define "common_set_pu_vehicles"
;	{common
;		{unitset "^man|alter"}
;;		{commandPoints "pz6b=9;elef_jagdt=8;nash_jagdp=7;hummel=4;sdkfz4=5;sfh18=4;is2=18;isu152=16;bm13=5;d1=8;m7=4;m26=18;tortez=80;m4a3c=5;m114=4;bl6=4;stormtroopers=10"}
;		{chargeFactors "moto=1;use_charge=1;*=0"}
;		{budgets
;			{vehicle {resource %tick 200 0 0 %tick 180} {buttons "squad1 squad2 vh_cn vh_cn1 lt ht asu"} {growFactors "0/1.5;10/1.47;20/1.425;30/1.35;40/1.125;50/0.75;60/0.45;70/0.27;80/0.15;100/0.075;130/0"}}
;			{vehicle 
;				{resource 
;					{start 		%tick}
;					{finish 	200}
;					{speed 		45}
;					{limitmin	20}
;					{limitmax	90}
;					{period 	180}
;				} 
;				{buttons "squad1 squad2 vh_cn vh_cn1 lt ht asu"} 
;				{growFactors %grow}
;			}
;
;		} 
;	}
;)

; delete after test
(define "zeroFactors"
	{common
		{unitset "^man|alter|inf"}
		{commandPoints "*=999"}
		{chargeFactors "*=0"}
		{budgets
			{vehicle
				{resource 
					{start 		9000}
					{finish 	9000}
					{speed 		0}
					{limitmin	100}
					{limitmax	9000}
				} 
				{buttons "squad1 squad2 auto vh_cn lt ht asu"}
			}
		} 
	}
)

; without update
(define "common_set_wu_vehicles"
	{common
		{unitset "^man|alter|inf|d1|sfh18|bl6|m114"}
		{commandPoints "*=%cp_total"}
		{chargeFactors "*=1"}
		{budgets
			{vehicle
				{resource 
					{start 		250}
					{finish 	800}
					{speed 		0}
					{limitmin	100}
					{limitmax	800}
					{speedset 	"200 250 300 350 400"}
				} 
				{buttons "squad1 squad2 auto vh_cn lt ht asu"}
			}

		} 
	}
)

; with payback
(define "common_set_payback_vehicles"
	{common
		{unitset "^man|alter|inf|d1|sfh18|bl6|m114"}
		{chargeFactors "moto=1;use_charge=1;*=0"}
		{commandPoints %cp}
		{budgets
			{vehicle
				{resource 
					{start 		%start}
					{finish 	%finish}
					{growTime	0.7}			; round time when money growing
					{restoreBegin 	%restoreBegin}		; points per sec
					{restoreEnd 	%restoreEnd}		; points per sec
				} 
				{buttons "squad1 squad2 auto vh_cn lt ht asu"}
			}

		} 
	}
)


{presets
	{"wu:without_update_100"
		{gameMode "without_update"}
		{unitMode "vehicles"}
		{specMode "payback_100"}
		("common_set_wu_vehicles" cp_total(100))
		{ranked}
	}
	{"wu:without_update_120"
		{gameMode "without_update"}
		{unitMode "vehicles"}
		{specMode "payback_120"}
		("common_set_wu_vehicles" cp_total(120))
	}
	{"wu:without_update_140"
		{gameMode "without_update"}
		{unitMode "vehicles"}
		{specMode "payback_140"}
		("common_set_wu_vehicles" cp_total(140))
	}
	{"p:payback_100"	
		{gameMode "with_payback"}
		{unitMode "vehicles"}
		{specMode "payback_100"}
		("common_set_payback_vehicles" restoreBegin(0.24) restoreEnd(0.32) start(24) finish(120) cp("*=100"))
	}	
	{"p:payback_120"	
		{gameMode "with_payback"}
		{unitMode "vehicles"}
		{specMode "payback_120"}
		("common_set_payback_vehicles" restoreBegin(0.24) restoreEnd(0.38) start(28) finish(140) cp("*=120"))
	}	
	{"p:payback_140"	
		{gameMode "with_payback"}
		{unitMode "vehicles"}
		{specMode "payback_140"}
		("common_set_payback_vehicles" restoreBegin(0.28) restoreEnd(0.46) start(32) finish(160) cp("*=140"))
	}
;	{"zf:zeroFactors_normal"
;		{gameMode "without_update"}
;		{unitMode "vehicles"}
;		{specMode "test_mode"}
;		("zeroFactors")
;	}

;	{"wp:without_payback_normal"	
;		{gameMode "without_payback"}
;		{unitMode "vehicles"}
;		{specMode "normal_reinforcement"}
;		("common_set_wp_vehicles" grow("0/1;10/0.98;20/0.95;30/0.89;40/0.77;50/0.59;60/0.4;70/0.27;80/0.22;100/0.2;130/0.2;200/0.18") tick(20))
;		{ranked}
;	}
;	{"wp:without_payback_high"	
;		{gameMode "without_payback"}
;		{unitMode "vehicles"}
;		{specMode "high_reinforcement"}
;		("common_set_wp_vehicles" grow("0/1;10/0.98;20/0.96;30/0.92;40/0.86;50/0.75;60/0.6;70/0.43;80/0.37;100/0.32;135/0.28;200/0.24") tick(32))
;	}
;	{"wp:without_payback_low"	
;		{gameMode "without_payback"}
;		{unitMode "vehicles"}
;		{specMode "low_reinforcement"}
;		("common_set_wp_vehicles" grow("0/1;10/0.96;20/0.9;30/0.79;40/0.6;50/0.42;60/0.3;70/0.23;80/0.2;100/0.18;120/0.18;20/0.12") tick(20))
;	}

;	{"pu:periodical_update_high"	
;		{gameMode "periodical_update"}
;		{unitMode "vehicles"}
;		{specMode "high_reinforcement"}
;		("common_set_pu_vehicles" tick(70))
;		{advanced}
;	}
;	{"pu:periodical_update_normal"	
;		{gameMode "periodical_update"}
;		{unitMode "vehicles"}
;		{specMode "normal_reinforcement"}
;		("common_set_pu_vehicles" tick(45))
;		{advanced}
;	}
;	{"pu:periodical_update_low"	
;		{gameMode "periodical_update"}
;		{unitMode "vehicles"}
;		{specMode "low_reinforcement"}
;		("common_set_pu_vehicles" tick(30))
;		{advanced}
;	}
;	{"wu:without_update_low"
;		{gameMode "without_update"}
;		{unitMode "vehicles"}
;		{specMode "low_reinforcement"}
;		("common_set_wu_vehicles")
;		{advanced}
;	}
;	{"wu:without_update_high"
;		{gameMode "without_update"}
;		{unitMode "vehicles"}
;		{specMode "high_reinforcement"}
;		("common_set_wu_vehicles")
;		{advanced}
;	}
}
